@ECHO OFF
REM =========================================================================================
REM	GetVersion  : A Win32 cnsole program (run under WinXP and above window version) 
REM		      Check WACOM touch device ProductID and Version
REM
REM	Usage:
REM	   GetVersion P 0x482F	: return ERRORLEVEL 0 if the PID equal 0x482F
REM	   GetVersion V 0x0002	: return ERRORLEVEL 0 if the Version equal 0x0002
REM =========================================================================================
REM --- For test
REM --- Unmark below line for enable show debug info  --- related to  "@IF DEFINED _wacom_debug_batch"
@SET _wacom_debug_batch="wacom_debug"
REM --- Do'nt change this line
@SET _wacom_fwupdate=
@ECHO ON
@GOTO CHK_PID

REM ======================Check PID

:CHK_PID
@SET _SKU_PID="0x4954"
@SET _SKU_VER="0x0003"
@SET _FW_Address="FW\W9015P_4954_v0003r00.exe"
@SET _Test_Folder="SCheckCap_Yacht_213-02X_49AE_0002R00_20201005_ODM"
@SET _Test_EXE="2)Start_ODM_TP_LCM"




GetVersion P %_SKU_PID%
@IF DEFINED _wacom_debug_batch ECHO %ERRORLEVEL%
@IF %ERRORLEVEL% EQU 0 GOTO DO_UPDATE_FW
@IF %ERRORLEVEL% EQU 253 GOTO SHOW_SKU_not_match

REM ======================DO_UPDATE_FW
:DO_UPDATE_FW
@ECHO .
@ECHO .....update firmware.................
@ECHO .
@%_FW_Address% %1 %2 %3

@SET _wacom_fwupdate="wacom_fwupdate"

@ECHO .....Update Firmware Success.................

@ECHO ......!!!!!System Will Restart , Please Don't Touch Screen Before Restart !!!!!.......
@timeout /t 10
shutdown -r -f -t 0
@GOTO finish


REM ------------------------------------------------------Do END_CHECK
:FW_VERSION_OK
@ECHO ....Your device is the latest FW, don't need to update.
@PAUSE
@GOTO END_CHECK

REM ------------------------------------------------------ DO End Check

:END_CHECK
@IF DEFINED _wacom_fwupdate set _wacom_fwupdate=
@IF DEFINED _wacom_debug_batch set _wacom_debug_batch=
@ECHO ....Your device is not match.
@pause
@ECHO ====End====
@ECHO .
REM @pause

:END
REM -----------------------------Update Success------------------------
@GOTO Test_Tool


:Test_Tool
DELAY 5
CD %_Test_Folder%
CALL %_Test_EXE%
@GOTO finish


REM -----------------------------SKU not match------------------------
:SHOW_SKU_not_match
color 74
@ECHO ============SKU Not Match====================
@PAUSE

:finish
